Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.bea.wlrt.ede
Interface Instrumentable

public interface Instrumentable

Instrumentable objects can be monitored for latency.

Method Summary
`void` | `addEnterTimestamp(String id, long timestamp, TimeUnit unit)` Timestamp the start of a stage
`void` | `addExitTimestamp(String id, long timestamp, TimeUnit unit)` Timestamp the end of a stage
`long` | `getEndTimestamp()` Last timestamp set on event.
`long` | `getEnterTimestamp(String id)` Returns start timestamp of a stage
`long` | `getExitTimestamp(String id)` Returns end timestamp of a stage
`long` | `getStartTimestamp()` Timestamp of event creation.
`TimeUnit` | `getTimeUnit()` Time unit returned by getters

Method Detail

### addEnterTimestamp

    public void addEnterTimestamp(String id,
                                  long timestamp,
                                  TimeUnit unit)

  Timestamp the start of a stage

  Parameters:
    `stage` - id
    `timestamp` -
    `time` - unit used by timestamp

### addExitTimestamp

    public void addExitTimestamp(String id,
                                 long timestamp,
                                 TimeUnit unit)

  Timestamp the end of a stage

  Parameters:
    `stage` - id
    `timestamp` -
    `time` - unit used by timestamp

### getTimeUnit

    public TimeUnit getTimeUnit()

  Time unit returned by getters

  Returns:
    time unit

### getEnterTimestamp

    public long getEnterTimestamp(String id)

  Returns start timestamp of a stage

  Parameters:
    `stage` - id
  Returns:
    start timestamp of stage

### getExitTimestamp

    public long getExitTimestamp(String id)

  Returns end timestamp of a stage

  Parameters:
    `stage` - id
  Returns:
    end timestamp of stage

### getStartTimestamp

    public long getStartTimestamp()

  Timestamp of event creation.

  Returns:

### getEndTimestamp

    public long getEndTimestamp()

  Last timestamp set on event.

  Returns:

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD